aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/function/artifacts_hc.sh
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2019-07-10 13:59:50 +0200
committerPeter Mikus <pmikus@cisco.com>2019-07-10 14:23:48 +0000
commit36d56bdb7f9f394047e2df3f29bf47db877b649c (patch)
treede01e08334759f2f41b30dabcbd179b94015b0e0 /resources/libraries/bash/function/artifacts_hc.sh
parente45404bf7b8cbdb10adf85815c2e005134e463ad (diff)
Bash functions style cleanup
+ Update rst documentation for bash style + Command substitution: + Clarify when to use backticks. + Recommend avoiding nested command substitution. + Do not recommend putting command substitution results into quotes. + Function definition content: + Move "set -exuo pipefail" after comment only blocks. + Other set flags allowed for functions with good reasons. + Apply the new recommendations. - Blank lines unified in code but no written recommendation in rst. + Add missing references to functions called, variables read or set. + Add TODOs to where lists would be long. + Minor improvements to function descriptions. + Make "if" expressions more python-like. + Add missing "|| die" (or "|| true") where spotted. + Downgrade DEFAULT_NIC to a local variable. + Add TODO to list reasons for blacklisted tags. Change-Id: I05dce030a8c2cb1b3a242d8b977e8fe150d8ee20 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/libraries/bash/function/artifacts_hc.sh')
-rw-r--r--resources/libraries/bash/function/artifacts_hc.sh23
1 files changed, 15 insertions, 8 deletions
diff --git a/resources/libraries/bash/function/artifacts_hc.sh b/resources/libraries/bash/function/artifacts_hc.sh
index 86c7f49819..7a866f6596 100644
--- a/resources/libraries/bash/function/artifacts_hc.sh
+++ b/resources/libraries/bash/function/artifacts_hc.sh
@@ -16,12 +16,16 @@
set -exuo pipefail
function download_artifacts_hc () {
- # Get and/or install HC artifacts from packagecloud.io.
+
+ # Download or install HC artifacts from packagecloud.io.
#
# Variables read:
# - CSIT_DIR - Path to existing root of local CSIT git repository.
# Variables set:
# - REPO_URL - FD.io Packagecloud repository.
+ # Functions conditionally called (see their documentation for side effects):
+ # - download_ubuntu_artifacts_hc
+ # - download_centos_artifacts_hc
set -exuo pipefail
@@ -48,12 +52,14 @@ function download_artifacts_hc () {
}
function download_ubuntu_artifacts_hc () {
- # Get and/or install Ubuntu HC artifacts from packagecloud.io.
+
+ # Download or install Ubuntu HC artifacts from packagecloud.io.
#
# Variables read:
# - REPO_URL - FD.io Packagecloud repository.
# - HC_VERSION - HC version.
- # - INSTALL - If install packages or download only. Default: download
+ # - INSTALL - Whether install packages (if set to "true") or download only.
+ # Default: "false".
set -exuo pipefail
@@ -69,7 +75,7 @@ function download_ubuntu_artifacts_hc () {
artifacts+=(${hc[@]/%/=${HC_VERSION-}})
fi
- if [ "${INSTALL:-false}" = true ]; then
+ if [[ "${INSTALL:-false}" == "true" ]]; then
sudo apt-get -y install "${artifacts[@]}" || {
die "Install HC artifacts failed."
}
@@ -81,12 +87,14 @@ function download_ubuntu_artifacts_hc () {
}
function download_centos_artifacts_hc () {
- # Get and/or install CentOS HC artifacts from packagecloud.io.
+
+ # Download or install CentOS HC artifacts from packagecloud.io.
#
# Variables read:
# - REPO_URL - FD.io Packagecloud repository.
# - HC_VERSION - HC version.
- # - INSTALL - If install packages or download only. Default: download
+ # - INSTALL - Whether install packages (if set to "true") or download only.
+ # Default: "false".
set -exuo pipefail
@@ -102,7 +110,7 @@ function download_centos_artifacts_hc () {
artifacts+=(${hc[@]/%/-${HC_VERSION-}})
fi
- if [ "${INSTALL:-false}" = true ]; then
+ if [[ "${INSTALL:-false}" == "true" ]]; then
sudo yum -y install "${artifacts[@]}" || {
die "Install HC artifact failed."
}
@@ -112,4 +120,3 @@ function download_centos_artifacts_hc () {
}
fi
}
-